package me.icymint.libra.sas.session;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;

import me.icymint.libra.sas.config.SasConfig;

public class SessionConfig extends SasConfig {

	/**
	 * 
	 */
	private static final long serialVersionUID = -4564801577113821011L;
	public final static String CMD = "CMD.SAS";
	public final static String TASK_CACHE = "运行目录";
	private final File cmd;
	private final File task;
	private boolean flag = false;

	public SessionConfig(File cache) {
		super(cache);
		this.cmd = new File(cache, CMD);
		this.task = new File(cache, TASK_CACHE);
	}

	public File getCmdFile() {
		return cmd;
	}

	public File getTaskCache() {
		return task;
	}

	public boolean isShutdown() {
		return flag;
	}

	/**
	 * 输出SAS代码的执行文件。
	 * 
	 * @param sas
	 */
	@Override
	public void output(String sas) {
		try {
			this.output(sas, null, new FileOutputStream(this.getSasFile()));
		} catch (FileNotFoundException e) {
			e.printStackTrace();
		}
	}

	@Override
	public void shutdown() {
		flag = true;
		super.shutdown();
	}
}
