package me.icymint.libra.sas.task;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;

import me.icymint.libra.sas.config.SasConfig;

public class TaskConfig extends SasConfig {

	/**
	 * 
	 */
	private static final long serialVersionUID = -5596393947563278682L;
	private final File cmd;
	private final File log;

	private final File log_check;

	public TaskConfig(File cache, File cmd) {
		super(cache);
		this.cmd = cmd;
		log = new File(this.getLogRoot(), SasConfig.LOG);
		log_check = new File(this.getLogRoot(), SasConfig.LOG_CHECK);
		this.put("SDE_LOG", log.getAbsolutePath());
		this.put("SDE_LOG_CHECK", log_check.getAbsolutePath());
		this.put("SDE_FINISH", this.getFinishFile().getAbsolutePath());
	}

	public void createFinishFlag() {
		createNewFile(getFinishFile());
	}

	private void createNewFile(File f) {
		try {
			f.createNewFile();
		} catch (IOException e) {

		}
	}

	public void createStartFlag() {
		createNewFile(getStartFile());
	}

	public File getErrorLog() {
		return log_check;
	}

	public File getLog() {
		return log;
	}

	public boolean isStopped() {
		return super.getStopFile().exists();
	}

	@Override
	public void output(String sas) {
		try {
			super.output(sas, TaskConfig.class.getResourceAsStream("cmd.sas"),
					new FileOutputStream(cmd));
		} catch (FileNotFoundException e) {
		}
	}
}
